Show / Hide Table of Contents

# Class PluginInitInjector

The type that handles value injecting into a plugin's initialization methods.

##### Inheritance

Object
PluginInitInjector

##### Inherited Members

Object.ToString()
Object.Equals(Object)
Object.Equals(Object, Object)
Object.ReferenceEquals(Object, Object)
Object.GetHashCode()
Object.GetType()
Object.MemberwiseClone()

###### Namespace: IPA.Loader

###### Assembly: IPA.Loader.dll

##### Syntax

    public static class PluginInitInjector

##### Remarks

The default injectors and what they provide are shown in this table.

Parameter Type | Injected Value
--- | ---
Logger | A StandardLogger specialized for the plugin being injected
PluginMetadata | The PluginMetadata of the plugin being injected
Config | A Config object for the plugin being injected. These parameters may have Config.NameAttribute and Config.PreferAttribute to control how it is constructed.

For all of the default injectors, only one of each will be generated, and any later parameters will recieve the same value as the first one.

### Methods

| Improve this Doc View Source

#### AddInjector(Type, PluginInitInjector.InjectParameter)

Adds an injector to be used when calling future plugins' Init methods.

##### Declaration

    public static void AddInjector(Type type, PluginInitInjector.InjectParameter injector)

##### Parameters

Type | Name | Description
--- | --- | ---
Type | type | the type of the parameter.
PluginInitInjector.InjectParameter | injector | the function to call for injection.